Remove a device
No more notifications go to this device.
DELETE
https://api.switchfile.io/v1/account/devices/{id}Example
Request
curl -X DELETE "https://api.switchfile.io/v1/account/devices/b3e1f2a4-5c6d-4e7f-8a9b-0c1d2e3f4a5b" \
-H "Authorization: Bearer $SWITCHFILE_API_KEY"const res = await fetch("https://api.switchfile.io/v1/account/devices/b3e1f2a4-5c6d-4e7f-8a9b-0c1d2e3f4a5b", {
method: "DELETE",
headers: {
Authorization: `Bearer ${process.env.SWITCHFILE_API_KEY}`,
},
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(res.status);<?php
$ch = curl_init('https://api.switchfile.io/v1/account/devices/b3e1f2a4-5c6d-4e7f-8a9b-0c1d2e3f4a5b');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('SWITCHFILE_API_KEY'),
],
CURLOPT_RETURNTRANSFER => true,
]);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
curl_close($ch);
if ($status >= 400) {
throw new RuntimeException("HTTP $status: $response");
}
echo $status, PHP_EOL;import os
import requests
res = requests.delete(
"https://api.switchfile.io/v1/account/devices/b3e1f2a4-5c6d-4e7f-8a9b-0c1d2e3f4a5b",
headers={"Authorization": f"Bearer {os.environ['SWITCHFILE_API_KEY']}"},
)
res.raise_for_status()
print(res.status_code)Parameters
Path parameters
idstring (uuid)requiredID of the device
Responses
- 204Removed
401The API key is missing or not valid
UNAUTHENTICATED401 application/problem+json{ "type": "https://switchfile.io/docs/api/v1#errors-unauthenticated", "title": "Unauthenticated", "status": 401, "code": "UNAUTHENTICATED", "detail": "Missing or invalid API key." }403Not available with a service key or a connected app
NOT_AVAILABLE403 application/problem+json{ "type": "https://switchfile.io/docs/api/v1#errors-not-available", "title": "Not available", "status": 403, "code": "NOT_AVAILABLE", "detail": "This endpoint is only available with your own API key or the switchfile app." }404Does not exist for this account
NOT_FOUND404 application/problem+json{ "type": "https://switchfile.io/docs/api/v1#errors-not-found", "title": "Not found", "status": 404, "code": "NOT_FOUND", "detail": "Not found." }422Invalid data. errors names the fields
INVALID_DATA422 application/problem+json{ "type": "https://switchfile.io/docs/api/v1#errors-invalid-data", "title": "Invalid data", "status": 422, "code": "INVALID_DATA", "detail": "The request contains invalid data.", "errors": { "to": [ "Expected string" ] } }429Too many requests or a daily quota is used up. See Retry-After
RATE_LIMIT_EXCEEDED429 application/problem+json{ "type": "https://switchfile.io/docs/api/v1#errors-rate-limit-exceeded", "title": "Rate limit exceeded", "status": 429, "code": "RATE_LIMIT_EXCEEDED", "detail": "Too many requests. Try again in 12 seconds." }